#
# spec file for package btfs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           btfs
Version:        2.18
Release:        1.5
Summary:        A BitTorrent file system based on FUSE
License:        GPL-3.0
Group:          Productivity/Networking/File-Sharing
Url:            https://github.com/johang/%{name}
Source:         https://github.com/johang/%{name}/archive/v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  libboost_system-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libtorrent-rasterbar) > 0.16

%description
With BTFS, you can mount any .torrent file or magnet link and then use it as
any read-only directory in your file tree. The contents of the files will be
downloaded on-demand as they are read by applications. Tools like ls, cat and
cp work as expected. Applications like media players can also work without changes.

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1

%install
%make_install V=1

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_mandir}/man1/%{name}.1%{ext_man}
%{_bindir}/btfs
%{_bindir}/btplay
%{_bindir}/btfsstat

%changelog
* Mon Nov 27 2017 9@cirno.systems
- 2.18
  * Force DHT announce when bootstrap completes
  * Don't set file priority to 0 at start
  * Fix delete-on-unmount
  * Remove unneeded debug prints
  * Fix a potential null pointer deref
  * Silence warning on libtorrent 1.2
* Mon Sep 11 2017 9@cirno.systems
- 2.17
  * Adjust to libtorrent 1.2 API changes
    + Session flags changed type.
    + Remove flags changed type.
  * Silence warning about deprecated flags in libtorrent 1.2
  * Tweak configure.ac
  * Handle read_piece_alert errors
    + Fixes segfault, upstream bug #42
  * Set request timeout
* Wed Aug 23 2017 9@cirno.systems
- 2.16
  * Implement listxattr and getxattr
  * Return IS_BTFS xattr on all files and directories
  * Add btfsstat program
* Fri Aug  4 2017 9@cirno.systems
- 2.15
  * Adjust to libtorrent 1.2 API changes
    + Alert notification categories changed type
    + torrent_handle::status() parameter changed type
  * Set correct block usage
    (so tools like "du" report correct disk usage)
  * Implement statfs callback
    (so tools like "df" report torrent size and download progress)
* Thu Jul 27 2017 9@cirno.systems
- 2.14
  * Adjust to libtorrent API changes (add_dht_router deprecated)
  * Make it build with libtorrent 1.2 (drops support for 0.16)
* Sun Jun 18 2017 9@cirno.systems
- Initial commit, 2.13
